function panoramas = applyPanoramaBounds(panoramas, bounds)

N = size(panoramas, 2);

for i=1:N
   K = size(panoramas(i).areas,1);
   panoramas(i).bounds = bounds(i,:);
   for j=1:K
       y = panoramas(i).areas(j, 2);
       h = panoramas(i).areas(j, 4);
       
       miny = bounds(i, 1);
       maxy = bounds(i, 2);
       if (y < miny)
          y = miny;
          h = h - (miny - y);
       end
       if (y + h > maxy)
          h = maxy - y; 
       end
       
       panoramas(i).areas(j, 2) = int32(y);
       panoramas(i).areas(j, 4) = int32(h);             
   end
end