function [C Ip, Fp] = fft_convolve(I, F)

Ip = padarray(I, size(F), 'post');
Fp = padarray(F, (size(Ip) - size(F)), 'post');

C = ifft2(fft2(Fp) .* fft2(Ip));

S = ceil(size(F) / 2);
C = C(S(1)+1:size(I,1)+S(1),S(2)+1:size(I,2)+S(2));