function overlay = getAnnotationOverlay(panoramas_base, panorama)

I = double(imresize(imread([panoramas_base '/' panorama.panoid]), [size(panorama.features,1) size(panorama.features,2)]))/255;
overlay = zeros(size(I));
for j=1:size(panorama.areas, 1)
    d = overlay(panorama.areas(j,2):panorama.areas(j,2) + panorama.areas(j,4),...
            panorama.areas(j,1):panorama.areas(j,1) + panorama.areas(j,3), :);
    overlay(panorama.areas(j,2):panorama.areas(j,2) + panorama.areas(j,4),...
            panorama.areas(j,1):panorama.areas(j,1) + panorama.areas(j,3), :) = d + 1;
end