function [P R] = getPredictionAccuracy(panorama, predictions)

predictions(predictions < 0) = 0;
predictions = predictions / max(predictions(:));

overlay = zeros(size(panorama.features,1), size(panorama.features,2));
for j=1:size(panorama.areas, 1)
    d = overlay(panorama.areas(j,2):panorama.areas(j,2) + panorama.areas(j,4),...
            panorama.areas(j,1):panorama.areas(j,1) + panorama.areas(j,3));
    overlay(panorama.areas(j,2):panorama.areas(j,2) + panorama.areas(j,4),...
            panorama.areas(j,1):panorama.areas(j,1) + panorama.areas(j,3)) = d + 1;
end

overlay = overlay / max(overlay(:));

p = reshape(predictions, size(predicitions,1) * size(predictions,2), 1);
o = reshape(overlay, size(overlay,1) * size(overlay,2), 1);

P = size(intersect(p,o));
