function samples = uniformSampleMarkedAreas(panoramas, num)

total_areas = 0;
total_pixels = 0;
N = size(panoramas, 2);
for i=1:N
    K = size(panoramas(i).areas,1);
    total_areas = total_areas + K;
    for j=1:K
        w = panoramas(i).areas(j, 3);
        h = panoramas(i).areas(j, 4);
        total_pixels = total_pixels + (w*h);
    end
end

map = zeros(total_areas, 3);
low = 0;
off = 1;
for i=1:N;
    K = size(panoramas(i).areas,1);
    for j=1:K
        w = panoramas(i).areas(j, 3);
        h = panoramas(i).areas(j, 4);
        
        map(off,:) = [i j ((low + w*h) / total_pixels)];
        low = low + w * h;
        off = off + 1;
    end
end

samples = zeros(num,2);
for n=1:num
   r = rand(1,1);
   i = find(map(:,3) > r, 1);
   samples(n,:) = [map(i,1) map(i,2)];
end