function [negative_mask] = visualizeMarkedRegions(panoramas_base, panorama)

I = double(imresize(imread([panoramas_base '/' panorama.panoid]), [size(panorama.features,1) size(panorama.features,2)]))/255;
negative_mask = zeros(size(I));
for j=1:size(panorama.areas, 1)
    negative_mask(...
        panorama.areas(j,2):panorama.areas(j,2) + panorama.areas(j,4),...
        panorama.areas(j,1):panorama.areas(j,1) + panorama.areas(j,3), :) = 1;
end

alpha = 0.4;
imshow(I.*(1-alpha*negative_mask)); axis image;