function [features features_string] = getPatchFeatures(I, patch_size) %#ok<*DEFNU>
    features = zeros(size(I,1), size(I,2), patch_size * patch_size * size(I,3));

    for x=1:size(I,1)-patch_size
        for y=1:size(I,2)-patch_size
            features(x,y,:) = reshape(I(x:x+patch_size-1,y:y+patch_size-1,:), 1, 1, patch_size * patch_size * size(I,3));
        end
    end

    features_string = ['simple-color-patch-' num2str(patch_size)];
end