function saveFeaturesToDirectory(panorama, directory)

num_features = size(panorama.features, 3);

for i=1:num_features
   output = [directory '/' num2str(i) '.png']; 
   f = panorama.features(:,:,i);
   f = (f-min(f(:))) / (max(f(:)) - min(f(:)));
   imwrite(f, output);
end